<template>
  <div class="databaseMonitoring_box">
    <My-bread :list="['运维管理', '数据库监控']"></My-bread>
    <el-divider />
    <div class="table_box">
      <p class="title_box">服务列表</p>
      <el-table
        ref="multipleTable"
        stripe
        :data="tableData"
        tooltip-effect="dark"
        style="width: 100%"
        @selection-change="handleSelectionChange"
      >
        <el-table-column type="selection" width="55"> </el-table-column>
        <el-table-column prop="name" label="服务名称"> </el-table-column>
        <el-table-column prop="name" label="服务目录"> </el-table-column>
        <el-table-column prop="address" label="访问次数" show-overflow-tooltip>
        </el-table-column>
        <el-table-column prop="address" label="创建时间" show-overflow-tooltip>
        </el-table-column>
        <el-table-column prop="name" fixed="right" label="运行状态" width="280">
        </el-table-column>
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination background layout="prev, pager, next" :total="10" />
      </div>
    </div>
    <div class="chart_box">
      <iframe
        src="https://element.eleme.cn/#/zh-CN/component/pagination"
        frameborder="0"
        height="100%"
        style="width: 100%"
      ></iframe>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },
  data() {
    //这里存放数据
    return {
      currentPage4: 4,
      tableData: [
        {
          date: "2016-05-03",
          name: "王小虎",
          address: "上海市普陀区金沙江路 1518 弄",
        },
        {
          date: "2016-05-02",
          name: "王小虎",
          address: "上海市普陀区金沙江路 1518 弄",
        },
        {
          date: "2016-05-04",
          name: "王小虎",
          address: "上海市普陀区金沙江路 1518 弄",
        },
        {
          date: "2016-05-01",
          name: "王小虎",
          address: "上海市普陀区金沙江路 1518 弄",
        },
      ],
    };
  },
  //方法集合
  methods: {
    handleSelectionChange() {},
  },
  created() {},
  mounted() {},
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.databaseMonitoring_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .table_box {
    height: 40%;
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    overflow: auto;
  }
  .title_box {
    font-weight: 800;
  }
  .pagination_box {
    text-align: center;
  }
  .chart_box {
    height: calc(60% - 100px);
    margin-top: 20px;
    display: flex;
    justify-content: space-between;
    background: #fff;
    border-radius: 5px;
    padding: 10px;
    box-sizing: border-box;
    border: 1px solid rgb(202, 201, 204);
  }
}
</style>
